> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Updates a connector on an EVSE.



## OpenAPI

````yaml /openapi/integration-api-v2/openapi.yaml patch /v2/evses/{uid}/connectors/{connectorId}
openapi: 3.0.0
info:
  title: Spirii API
  description: Spirii API
  version: 2.10.0
  contact: {}
servers:
  - url: https://api.spirii.com
security: []
tags: []
paths:
  /v2/evses/{uid}/connectors/{connectorId}:
    patch:
      tags:
        - EVSEs v2
      summary: Updates a connector on an EVSE.
      operationId: EvseController_updateConnectorById_v2
      parameters:
        - name: uid
          required: true
          in: path
          description: Uniquely identifies the EVSE
          schema:
            example: 123456
            type: number
        - name: connectorId
          required: true
          in: path
          description: Identifier of the Connector within the EVSE
          schema:
            example: 1
            type: number
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateConnectorRequestBodyDto'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateEvseResponseBodyDto'
        '400':
          description: Bad Request provided. A message will describe the issue.
        '403':
          description: Authorization header token is invalid or not provided.
        '500':
          description: Internal Server Error.
      security:
        - Authorization: []
components:
  schemas:
    UpdateConnectorRequestBodyDto:
      type: object
      properties:
        standard:
          type: string
          description: The standard of the installed connector.
          example: CHADEMO
          enum:
            - CHADEMO
            - IEC_62196_T2_COMBO
            - IEC_62196_T2
            - GBT_AC
            - GBT_DC
            - IEC_62196_T1_COMBO
            - IEC_62196_T1
        format:
          type: string
          description: The format (socket/cable) of the installed connector.
          enum:
            - SOCKET
            - CABLE
          example: SOCKET
        maxElectricPower:
          type: number
          description: Maximum electric power output (kW).
          example: 22
        maxAmperage:
          type: number
          description: Maximum amperage (current) output (A).
          example: 32
        maxVoltage:
          type: number
          description: Maximum voltage output (V).
          example: 400
    UpdateEvseResponseBodyDto:
      type: object
      properties:
        uid:
          type: number
          description: Uniquely identifies the EVSE
          example: 123456
        evseId:
          type: string
          description: >-
            Compliant with the following specification for EVSE ID: "E-mobility
            ID-codes: the purpose of IDs, ID usage and ID format"
          example: DK.12343*1
        chargeboxId:
          type: number
          description: Uniquely identifies the charge box on which the EVSE is found
          example: 123
        status:
          type: string
          description: |-
            Indicates the current status of the EVSE. 
             

             The mapping of the OCPP status to the OCPI status, which is used in this endpoint, is visible in the table below: 

             [OCPP status] - [OCPI status] 

             Available - AVAILABLE

            Reserved - RESERVED

            Preparing,Charging,Finishing - CHARGING

            SuspendedEV,SuspendedEVSE - BLOCKED

            Faulted - OUTOFORDER

            Unavailable - INOPERATIVE

            N/A - PLANNED

            N/A - REMOVED

            N/A - UNKNOWN
          enum:
            - AVAILABLE
            - BLOCKED
            - CHARGING
            - INOPERATIVE
            - OUTOFORDER
            - PLANNED
            - REMOVED
            - RESERVED
            - UNKNOWN
          example: CHARGING
        connectors:
          description: List of available connectors
          type: array
          items:
            $ref: '#/components/schemas/ConnectorDto'
      required:
        - uid
        - evseId
        - chargeboxId
        - status
        - connectors
    ConnectorDto:
      type: object
      properties:
        id:
          type: number
          description: Identifier of the Connector within the EVSE
          example: 1
        standard:
          type: string
          description: The standard of the installed connector.
          example: CHADEMO
          enum:
            - CHADEMO
            - IEC_62196_T2_COMBO
            - IEC_62196_T2
            - GBT_AC
            - GBT_DC
            - IEC_62196_T1_COMBO
            - IEC_62196_T1
        format:
          type: string
          description: The format (socket/cable) of the installed connector.
          enum:
            - SOCKET
            - CABLE
          example: SOCKET
        powerType:
          type: string
          description: Power type of the connector
          enum:
            - AC_1_PHASE
            - AC_2_PHASE
            - AC_2_PHASE_SPLIT
            - AC_3_PHASE
            - DC
          example: DC
        maxElectricPower:
          type: number
          description: Maximum electric power output (kW).
          example: 22
        maxAmperage:
          type: number
          description: Maximum amperage (current) output (A).
          example: 32
        maxVoltage:
          type: number
          description: Maximum voltage output (V).
          example: 400
        tariffIds:
          description: Identifiers of the currently valid charging tariffs
          example:
            - 58652fe8-d840-4aa4-bb4f-3ebd944df9d6
          type: array
          items:
            type: string
        error:
          description: Error status of the connector, if present
          allOf:
            - $ref: '#/components/schemas/ConnectorStatus'
        deletedAt:
          format: date-time
          type: string
          description: Deleted at timestamp
          example: '2025-01-27 09:38:41'
      required:
        - id
        - standard
        - format
        - powerType
        - maxElectricPower
        - maxAmperage
        - maxVoltage
        - tariffIds
    ConnectorStatus:
      type: object
      properties:
        errorCode:
          type: string
          description: This contains the error code reported by the charge box
          example: UnderVoltage
          enum:
            - ConnectorLockFailure
            - EVCommunicationError
            - GroundFailure
            - HighTemperature
            - InternalError
            - LocalListConflict
            - NoError
            - OtherError
            - OverCurrentFailure
            - OverVoltage
            - PowerMeterFailure
            - PowerSwitchFailure
            - ReaderFailure
            - ResetFailure
            - UnderVoltage
            - WeakSignal
        info:
          type: string
          description: Additional free format information related to the error
          example: NO_VOLTAGE_L2_L3
        vendorErrorCode:
          type: string
          description: This contains the vendor-specific error code
          example: '134217728'
      required:
        - errorCode
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: Authorization
      description: '`Authorization: Bearer <SPIRII_API_KEY>`'

````